Skip to main content
GET
https://api.legacyecom.com.br
/
payout
Listar Payouts
curl --request GET \
  --url https://api.legacyecom.com.br/payout
Este endpoint é usado como livro-razão local; Você poderá renderizar e prever o status da saída caso o Webhook sofra quedas momentâneas.

Query Parameters Suportados

status
string
  • PENDING
  • PROCESSING
  • COMPLETED
  • FAILED
page
integer
default:"1"
Página para carregamento (1 à frente).
limit
integer
default:"20"
Quantidade de itens encapsulados (Max: 100).

Retorno

A página apresentará saques no padrão do schema:
{
  "total": 52,
  "currentPage": 1,
  "totalPages": 3,
  "items": [
    {
       "id": "payout_XXX299",
       "status": "COMPLETED",
       "amount": 250000,
       "pixKey": "test@legacyecom.com.br",
       "pixKeyType": "EMAIL",
       "referenceId": "comissionado_002",
       "createdAt": "2026-03-02T16:00:20.000Z"
    }
  ]
}